Bug 1844254 (CVE-2020-8663) - CVE-2020-8663 envoy: Resource exhaustion when accepting too many connections
Summary: CVE-2020-8663 envoy: Resource exhaustion when accepting too many connections
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8663
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1844256
TreeView+ depends on / blocked
 
Reported: 2020-06-04 21:35 UTC by Pedro Sampaio
Modified: 2020-07-14 19:01 UTC (History)
3 users (show)

Fixed In Version: envoy 1.14.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in envoy in versions through 1.14.1. Accepting too many connections may lead to an exhaustion of file descriptors and/or memory. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-07-01 19:27:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2798 None None None 2020-07-01 18:44:35 UTC
Red Hat Product Errata RHSA-2020:2864 None None None 2020-07-07 19:34:36 UTC

Description Pedro Sampaio 2020-06-04 21:35:25 UTC
Envoy version 1.14.1 or earlier may exhaust file descriptors and/or memory when accepting too many connections.

Comment 1 Pedro Sampaio 2020-06-04 21:35:28 UTC
Acknowledgments:

Name: the Envoy security team

Comment 3 Mark Cooper 2020-06-30 07:49:10 UTC
Statement:

A uncontrolled resource consumption vulnerability was found in Envoy. An attacker can initiate too many connections to the proxy potentially exhausting file descriptors and/or memory resulting in a denial of service.

Comment 4 Mark Cooper 2020-06-30 22:04:09 UTC
External References:

https://istio.io/latest/news/security/istio-security-2020-007/

Comment 7 errata-xmlrpc 2020-07-01 18:44:32 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.1

Via RHSA-2020:2798 https://access.redhat.com/errata/RHSA-2020:2798

Comment 8 Product Security DevOps Team 2020-07-01 19:27:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8663

Comment 9 errata-xmlrpc 2020-07-07 19:34:33 UTC
This issue has been addressed in the following products:

  OpenShift Service Mesh 1.0

Via RHSA-2020:2864 https://access.redhat.com/errata/RHSA-2020:2864


Note You need to log in before you can comment on or make changes to this bug.